export type LogBoundaryProps<T> = {
  fun: (...args: any[]) => Promise<T>;
  logSuccess: boolean;
  payload?: any;
  logType: 'transmission' | 'extraction';
  dataType: string;
};

export type LogSelector = {
  dataType: string;
  message: {
    status: 'Success' | 'Failure';
    description: string;
  };
  logType: 'transmission' | 'extraction';
};
